package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 流程参数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class CustomFlowParam implements Serializable {

    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
    @NotNull(message = "启用/禁用不能为空")
    private Boolean enable;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }
}
